Public Class picturestile

    Private player22 As New MediaPlayer()

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Dim pics As New picturehub
        pics.Show()
    End Sub

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)

        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            pictt.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim picturestileuaTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler picturestileuaTimer.Tick, AddressOf picturestileuaTimer_Tick
        picturestileuaTimer.Interval = New TimeSpan(0, 0, 1)
        picturestileuaTimer.Start()
    End Sub

    Private Sub picturestileuaTimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            pictt.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub PlayAccentSound()
        Try
            player22.Volume = 1.0
            player22.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player22.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try

    End Sub

End Class
